MAKE_DEPEND=yes
SAVE_FORTRAN=yes

SRCDIR = ./src
LIBDIR = ${DADIR}/lib
INCDIR = .#${DADIR}/inc
BINDIR = ${DADIR}/bin
OBJDIR = ${DADIR}/obj
PARDIR = ./par

S = ${SRCDIR}
I = ${INCDIR}
B = ${BINDIR}
O = ${OBJDIR}
P = ${PARDIR}
#----------------------------------------------------------------
# COMPILER FLAGSs	
ifeq (${SEP_ARCH},LINUX)
  F90C   = ifort -openmp
  F90LD  = ifort -openmp
#  MPIDIR = /usr/local/MPI/MPI-1.2.5/lib
#else
#  F90C   = ifc_f90 -openmp
#  F90LD  = ifc_f90 -openmp
#  MPIDIR = /net/okok/cluster/mpi/lib
endif
UF90FLAGS= -O2   -mp #-Mbounds
#----------------------------------------------------------------
#FFTLIB = -L/net/koko/bob/FFTW/lib/ -lfftw -lrfftw \
#	 -L/net/koko/biondo/FFTW/$(SEP_ARCH)/lib/ -lsfftw

#FFTWLIBS = -L/opt/FFTW/lib/ -lfftw3f
FFTWLIBS = -L/net/koko/bob/fftw/lib -lfftw3f

#MPILIB = -L${MPIDIR} 	-lmpichf90 -lfmpich -lmpich
#SEPLIB = -lsuperset -lsep2df90 -lsep3df90 -lsep3d -lsepf90 -lsep \
#	-lsuperset_mpi -lseppar_mpi  -lsepauxf90 -lsepaux -lsepparf90 \
#	-lsepparf90_mpi -lsupersetf90

SEPLIB = -lsupersetf90 -lsuperset -lsep2df90 -lsepgeef90 \
	-lsepmathf90 -lsepmath -lsepauxf90 -lsepaux
#----------------------------------------------------------------
UF90INCLUDES = -I. -I${INCDIR}
#UF90LIBS     = ${FFTLIB} ${SEPLIB} -Bstatic
UF90LIBS     = ${FFTWLIBS} ${SEPLIB} -Bstatic
#----------------------------------------------------------------
UF90LIBDIR   = ${F90_LIB_DIR}
UF90LIBDIRS  =   ${LIBDIR}
UCLIBDIRS    =   ${LIBDIR}
#----------------------------------------------------------------
# archive rules
date=.$(shell date +%m).$(shell date +%d).$(shell date +%Y)
backup: 
	\cp -r $S archive/$S${date}
#----------------------------------------------------------------
